# $Revision: 1.27 $, $Date: 2002/11/11 14:37:27 $
Summary:	Visual interface to programs
Summary(pl):	Tekstowy interfejs dla programw
Name:		otak
Version:	1.2.18
Release:	1
License:	GPL v2
Vendor:		Grzegorz Moskal <g.moskal@opengroup.org>
Group:		Applications/Mail
Source0:	http://otak.k-k.pl/otak-sources/%{name}-%{version}.tar.gz
URL:		http://otak.k-k.pl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	conflib-devel
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main idea behind otak, is to provide visual interface to programs,
that doesn't have one, but needs to take arguments, that can be selected
from list.  For example one can use it as an adress book program in 
connection with mutt, or as a phone-book with sms-sending software,
or even as list of hosts to ssh or ftp to.

%description -l pl
Otak zosta zaprojektowany jako interfejs graficzny dla programw,
ktre go nie posiadaj, ale wymagaj argumentu, ktry moe by wybrany
z listy. Przykadowo: Mona powiza otak z muttem i uywa jako
ksiki adresowej, albo powiza go z sms-em i uywa jako ksiki
"smsowej", mona te np. powiza otaka z komend ssh (czy ftp) i
nawizywa poczenia z gromadzonymi hostami.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network/Mail,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install *.png $RPM_BUILD_ROOT%{_pixmapsdir}
install *.desktop $RPM_BUILD_ROOT%{_applnkdir}/Network/Mail/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ABOUT{,-pl} BUGS-pl THANKS TODO-pl
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/Mail/*
%{_pixmapsdir}/*

%{_mandir}/man*/*.*
%lang(pl) %{_mandir}/pl/man*/*.*

%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: otak.spec,v $
Revision 1.27  2002/11/11 14:37:27  kloczek
- updated to 1.2.18: bug fixes.

Revision 1.26  2002/11/08 15:13:13  malekith
- 1.2.17

Revision 1.25  2002/10/31 17:31:29  malekith
- it links with -lm by itself -- hack for makefile removed
- added new documentation files

Revision 1.24  2002/10/31 17:22:03  malekith
- 1.2.16 (bugfix)

Revision 1.23  2002/10/30 18:55:18  malekith
- 1.2.15

Revision 1.22  2002/10/24 21:35:43  malekith
- 1.2.14

Revision 1.21  2002/10/22 19:43:36  malekith
- up to 1.2.13

Revision 1.20  2002/10/18 16:54:01  malekith
- 1.2.10

Revision 1.19  2002/10/13 20:31:37  malekith
- up to 1.2.8

Revision 1.18  2002/10/09 23:00:31  malekith
- up to 1.2.5 (better search)

Revision 1.17  2002/10/08 08:16:06  marcus
- s/LDCC/CCLD/g

Revision 1.16  2002/10/08 08:09:42  qboosh
- proper CC, pl fixes; release 2

Revision 1.15  2002/10/08 07:43:11  marcus
- fixed linking on !ix86

Revision 1.14  2002/10/07 15:10:12  kloczek
- cosmetics.

Revision 1.13  2002/10/07 15:00:13  malekith
- otak finally has source url

Revision 1.12  2002/10/05 20:38:43  malekith
- up to 1.2.4; STBR

Revision 1.11  2002/10/03 10:51:10  malekith
- up to 1.2.1

Revision 1.10  2002/09/29 08:45:33  malekith
- up to 1.2.1

Revision 1.9  2002/09/28 14:28:03  malekith
- up to 1.2.0
- removed auto* regeneration

Revision 1.8  2002/09/13 10:52:08  malekith
- br: gettext-devel, !sorted br:

Revision 1.7  2002/09/13 10:44:30  malekith
- up to 1.1.7
- updated desc and summary from .spec in tarball
- use %%{__auto*crap*} macros
- STBR

Revision 1.6  2002/08/23 17:44:40  misto
 - new %doc

Revision 1.5  2002/08/22 23:15:02  misto
 - new otak version 1.0.7
 - STBR

Revision 1.4  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/23 17:21:47  kloczek
- spec adapterized.

Revision 1.1  2002/01/23 16:15:32  malekith
- initial, based on spec from tarball
